This deployment is parameterized for use with `envsubst(1)`.

Before proceeding, you should also build and push the image from `noded/frontend.git`.

You will need to set up the secret values and environment variables (see below).

```shell
bash -c 'for f in *.yaml; do envsubst < $f | kubectl apply -f -; done'
```

## Supported environment variables

Set these environment variables in your shell before running the above command to apply the Kubernetes spec.

- `NODED_DOMAIN` - domain name where CoreID is accessed (e.g. `coreid.mydomain.com`)
- `DOCKER_REGISTRY` - host of the docker registry to pull the image from (e.g. `registry.mydomain.com`)
  - this is the same registry that is used by `yarn docker:build` and `yarn docker:push`
- `NODED_DATABASE_HOST` - MongoDB host (e.g. `mongo.mylan.net`)
- `NODED_DATABASE_NAME` - MongoDB database name to use (e.g. `coreid_p1`)

## Secret values

The spec expects there to be a `coreid-secrets` secret in the `starship` namespace with the following values:

- `SECRET` - hash seed used by CoreID (e.g. `df8db5a2-429b-4597-a013-18efee2465e0`)
- `AUTH_COREID_CLIENT_ID` - Starship CoreID OAuth2 client ID
- `AUTH_COREID_CLIENT_SECRET` - Starship CoreID OAuth2 client secret
